---
title: '<xsl:comment>'
slug: Web/XSLT/Element/comment
tags:
  - Comment
  - Element
  - Reference
  - XSLT
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:comment&gt;</code> element writes a comment to the output document. It must include only text.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:comment&gt;
	TEMPLATE
&lt;/xsl:comment&gt; </pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<p>None.</p>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Instruction, appears within a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 7.4.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
